cdac.medinfo.model

## Class AuthorInfo

- java.lang.Object
- - cdac.medinfo.model.AuthorInfo

-     public class AuthorInfo
      extends java.lang.Object

  This class specify the details of humans and/or machines that authored the document.

  This class has the following attributes:

  1. id (List`<Identifiers>`)
  2. function Code (String)
  3. time (EffectiveDateTime)
  4. name (String)
  5. family (String)
  6. suffix (String)
  7. prefix (String)
  8. Organization (OrganizationInfo)
  8 Authoring Device (AuthoringDeviceInfo)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthorInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthoringDeviceInfo` | `getAuthoringDevice()` Returns the Authoring Device Details.
    `java.lang.String` | `getFamily()` Returns the Family Name of Author.
    `java.lang.String` | `getFunctionCode()` Returns the Function Code of Author.
    `java.util.List<Identifiers>` | `getId()` Returns the List of ID of Assigned Author.
    `java.lang.String` | `getName()` Returns the Name or Given Name of Author.
    `OrganizationInfo` | `getOrganization()` Returns the Representation Organization of Author.
    `java.lang.String` | `getPrefix()` Returns the Prefix of Author.
    `java.lang.String` | `getSuffix()` Returns the Suffix of Author.
    `java.lang.String` | `getTime()` Returns the time during which the Author is involved in the activity.
    `void` | `setAuthoringDevice(AuthoringDeviceInfo authoringDevice)` Sets the Authoring Device Details.
    `void` | `setFamily(java.lang.String family)` Sets the Family Name of Author.
    `void` | `setFunctionCode(java.lang.String functionCode)` Sets the Function Code of Author.
    `void` | `setName(java.lang.String name)` Sets the Name or Given Name of Author.
    `void` | `setObjOrganization(OrganizationInfo objOrganization)` Sets the Representation Organization of Author.
    `void` | `setPrefix(java.lang.String prefix)` Sets the Prefix of Author.
    `void` | `setSuffix(java.lang.String suffix)` Sets the Suffix of Author.
    `void` | `setTime(java.lang.String time)` Sets the time during which the Author is involved in the activity.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthorInfo

          public AuthorInfo()

  - ### Method Detail

    - #### getId

          public java.util.List<Identifiers> getId()

      Returns the List of ID of Assigned Author.
      Returns:
        the id

    - #### getFunctionCode

          public java.lang.String getFunctionCode()

      Returns the Function Code of Author.
      Returns:
        the functionCode

    - #### setFunctionCode

          public void setFunctionCode(java.lang.String functionCode)

      Sets the Function Code of Author.
      Parameters:
        `functionCode` - Specifies addition detail about the function of the Author (e.g. scrub nurse, third assistant).

    - #### getTime

          public java.lang.String getTime()

      Returns the time during which the Author is involved in the activity.
      Returns:
        the time

    - #### setTime

          public void setTime(java.lang.String time)

      Sets the time during which the Author is involved in the activity.
      Parameters:
        `time` - Specifies the time during which the Author is involved in the activity.

    - #### getName

          public java.lang.String getName()

      Returns the Name or Given Name of Author.
      Returns:
        the name

    - #### setName

          public void setName(java.lang.String name)

      Sets the Name or Given Name of Author.
      Parameters:
        `name` - Specifies the Name or Given Name of Author.

    - #### getFamily

          public java.lang.String getFamily()

      Returns the Family Name of Author.
      Returns:
        the family

    - #### setFamily

          public void setFamily(java.lang.String family)

      Sets the Family Name of Author.
      Parameters:
        `family` - Specifies the Family Name of Author.

    - #### getSuffix

          public java.lang.String getSuffix()

      Returns the Suffix of Author.
      Returns:
        the suffix

    - #### setSuffix

          public void setSuffix(java.lang.String suffix)

      Sets the Suffix of Author.
      Parameters:
        `suffix` - Specifies the Suffix of Author.

    - #### getPrefix

          public java.lang.String getPrefix()

      Returns the Prefix of Author.
      Returns:
        the prefix

    - #### setPrefix

          public void setPrefix(java.lang.String prefix)

      Sets the Prefix of Author.
      Parameters:
        `prefix` - Specifies the Prefix of Author.

    - #### getOrganization

          public OrganizationInfo getOrganization()

      Returns the Representation Organization of Author.
      Returns:
        the Organization

    - #### setObjOrganization

          public void setObjOrganization(OrganizationInfo objOrganization)

      Sets the Representation Organization of Author.
      Parameters:
        `objOrganization` - Specifies the Representation Organization of Author.

    - #### getAuthoringDevice

          public AuthoringDeviceInfo getAuthoringDevice()

      Returns the Authoring Device Details.
      Returns:
        the authoringDevice

    - #### setAuthoringDevice

          public void setAuthoringDevice(AuthoringDeviceInfo authoringDevice)

      Sets the Authoring Device Details.
      Parameters:
        `authoringDevice` - Specifies the Authoring Device Details.